"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyPlugins = require("webiny-plugins");

var _chalk = _interopRequireDefault(require("chalk"));

const {
  log
} = console;

var _default = async context => {
  const start = +new Date();
  const plugins = (0, _webinyPlugins.getPlugins)("install");
  log(_chalk.default.cyan("Welcome to Webiny installer!"));
  log(_chalk.default.cyan("The following will be installed:"));
  plugins.forEach(plugin => {
    log("➜ " + plugin.meta.name);
  });
  log(_chalk.default.cyan("\nInstalling..."));

  for (let i = 0; i < plugins.length; i++) {
    let plugin = plugins[i];

    try {
      await plugin.install(context);
    } catch (e) {
      log(_chalk.default.red(`An error occurred while installing ${plugin.meta.name}!`));
      log(e);
    }
  }

  const end = (+new Date() - start) / 1000;
  log(_chalk.default.green(`Installation completed in ${end}s.`));
};

exports.default = _default;
//# sourceMappingURL=index.js.map